Page MenuHomePhabricator

In MW 1.29, Visual editor displays chemical equations incorrectly (plus sign on same level as index number)
Closed, ResolvedPublic0 Estimated Story Points

Description

There are example chemical equations in Visual Editor

but, the equation is NOT correct.

here is one example

bad:

good:

refer good EQs in https://mhchem.github.io/MathJax-mhchem/

Event Timeline

Libattery created this task.Jun 3 2017, 6:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2017, 6:07 AM
Physikerwelt added a subscriber: Physikerwelt.EditedJun 3 2017, 7:06 AM

This is caused by Whitespace problems described in T140217.

A temporary fix is to add additional { to specify the grouping explicitly.

Aklapper renamed this task from In MW 1.29, Visual editor don't display chemical equations correctly to In MW 1.29, Visual editor displays chemical equations incorrectly (plus sign on same level as index number).Jun 3 2017, 12:08 PM
Jdforrester-WMF set the point value for this task to 0.Jun 13 2017, 5:55 PM
Pkra moved this task from Incoming to VisualEditor on the Math board.Dec 7 2018, 10:49 AM

This is partially fixed now T140217 is resolved:

But the previews at the bottom are pre-generated so will need to be rebuilt.

Change 533573 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Math@master] Re-render MWChemSymbols.css

https://gerrit.wikimedia.org/r/533573

Change 533573 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Re-render MWChemSymbols.css

https://gerrit.wikimedia.org/r/533573

@Esanders: All patches are merged. Is there more to do in this task, or should this be closed?

Aklapper closed this task as Resolved.Feb 9 2020, 5:02 AM

@Esanders: All patches are merged. Is there more to do in this task, or should this be closed?

No reply, hence resolving.